Bug 438263 - dwfl_module_getdwarf.c doesn't find debuginfo if there is a .dynsym
dwfl_module_getdwarf.c doesn't find debuginfo if there is a .dynsym
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: elfutils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Roland McGrath
qe-baseos-tools
:
Depends On:
Blocks: 173278
  Show dependency treegraph
 
Reported: 2008-03-19 17:49 EDT by Stan Cox
Modified: 2011-05-13 09:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 20:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer source (1.52 KB, text/x-csrc)
2008-03-20 11:22 EDT, Stan Cox
no flags Details
sample reproducer makefile (417 bytes, application/octet-stream)
2008-03-20 11:23 EDT, Stan Cox
no flags Details
Roland's patch (1.66 KB, text/x-patch)
2008-03-25 12:33 EDT, Stan Cox
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 5953 None None None Never

  None (edit)
Description Stan Cox 2008-03-19 17:49:35 EDT
Description of problem:
A chroot does not find the <file>.debug
for elfutils 0.133 whereas for elfutils 0.129 it would find <file>.debug.
I notice dwfl_module_getdwarf.c:load_symtab now notices when .dynsym is found
and subsequently causes DWFL_E_NO_SYMTAB to no longer be returned
to find_symtab and thus find_debuginfo never gets called.


Version-Release number of selected component (if applicable):
0.133

How reproducible:

I'm working on a reproducer testcase.
Comment 1 Stan Cox 2008-03-20 11:22:39 EDT
Created attachment 298703 [details]
reproducer source
Comment 2 Stan Cox 2008-03-20 11:23:17 EDT
Created attachment 298704 [details]
sample reproducer makefile
Comment 3 Stan Cox 2008-03-25 12:33:31 EDT
Created attachment 299049 [details]
Roland's patch
Comment 4 Fedora Update System 2008-05-21 15:49:00 EDT
elfutils-0.135-1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-05-21 15:51:23 EDT
elfutils-0.135-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-05-21 15:53:02 EDT
elfutils-0.135-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-05-28 22:39:52 EDT
elfutils-0.135-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-4457
Comment 8 Fedora Update System 2008-07-30 16:08:34 EDT
elfutils-0.135-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-07-30 16:11:35 EDT
elfutils-0.135-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Roland McGrath 2010-04-21 20:15:49 EDT
This bug got wrongly listed in Fedora updates and so wound up in ON_QA state outside of proper RHEL5 procedures.  Reopen if there is really a need for a RHEL5 update to address this.  It's long been fixed upstream and thus for RHEL6.

Note You need to log in before you can comment on or make changes to this bug.